@php
    /**
    * @var Illuminate\Support\ViewErrorBag $errors
    */
@endphp
@isset($key)
    <div class="form-group">
        <div class="custom-file">
            <input
                type="file"
                accept="image/*"
                id="{{str_replace('.', '_', $key)}}"
                name="{{ inputKeyToName($key) }}"
                data-vv-as="{{$placeholder}}"
                class="custom-file-input"
                :class="{'is-invalid': errors.has('{{ inputKeyToName($key) }}')}"
                value="{{ $value }}"
                @isset($validate) v-validate="'{{ $validate }}'" @endisset
            />
            <label data-browse="@lang('erp::erp.file_browse')"
                   for="{{str_replace('.', '_', $key)}}"
                   class="custom-file-label">@lang('erp::erp.select_image')</label>
        </div>
        <div v-if="errors.has('{{inputKeyToName($key)}}')" class="invalid-feedback" role="alert">
            @{{errors.first('{!! inputKeyToName($key) !!}')}}
        </div>
    </div>
@endisset
