@extends('cms::admin.layouts.app')
@php
    /**
     * @var \TDevAgency\Erp\Models\Customer $customer
    */
@endphp
@section('content')
    <div class="card card-body">
        <div class="table-responsive">
            <table class="table-styled">
                <thead>
                <tr>
                    <td data-colspan>
                        <form class="input-group" action="{{route('cms.customers.index')}}">
                            <input type="search" name="q" class="form-control"
                                   value="{{Request::query('q')}}"
                                   placeholder="@lang('erp::erp.search_customer')">
                            <div class="input-group-append">
                                <button class="btn btn-outline-success"><i class="fas fa-search"></i>
                                    <span class="d-none d-md-inline">@lang('erp::erp.search')</span></button>
                            </div>
                        </form>
                    </td>
                </tr>
                <tr class="collspan-count">
                    <th class="fit-width">@sortablelink('id', trans('erp::erp.customer_id'))</th>
                    <th class="fit-width">@sortablelink('email', trans('erp::erp.customer_name'))</th>
                    <th class="fit-width">@sortablelink('email', trans('erp::erp.phone'))</th>
                    <th class="fit-width">@sortablelink('email', trans('erp::erp.email'))</th>
                    <th class="fit-width text-right"><a href="{{route('cms.customers.create')}}"
                                                        class="btn btn-outline-primary btn-sm">
                            <i class="fas fa-plus-circle"></i>
                            <span class="d-none d-md-inline">@lang('erp::erp.create_new_customer')</span>
                        </a>
                    </th>
                </tr>
                </thead>
                <tbody>
                @forelse($customers as $customer)
                    <tr>
                        <th>{{$customer->id}}</th>
                        <td>{{$customer->last_name}} {{$customer->first_name}}</td>
                        <td>{{$customer->phone}}</td>
                        <td>{{$customer->email}}</td>
                        <td class="text-right text-nowrap">
                            <a href="{{route('cms.customers.edit', $customer->id)}}"
                               class="btn btn-outline-success btn-sm"><i class="fas fa-edit"></i>
                                <span class="d-none d-md-inline">@lang('erp::erp.edit_customer')</span></a>

{{--                            <form method="post" @submit="confirmDelete" class="d-inline"--}}
{{--                                  action="{{route('cms.customers.destroy', $customer->id)}}">--}}
{{--                                @csrf--}}
{{--                                @method('DELETE')--}}
{{--                                <button class="btn btn-outline-danger btn-sm">--}}
{{--                                    <i class="fas fa-trash"></i>--}}
{{--                                    <span class="d-none d-md-inline">@lang('cms-fixed::admin.delete')</span>--}}
{{--                                </button>--}}
{{--                            </form>--}}
                        </td>
                    </tr>
                @empty
                    <tr>
                        <td class="text-muted text-center" data-colspan>@lang('cms-fixed::admin.no_data')</td>
                    </tr>
                @endforelse
                </tbody>
                <tfoot>
                <tr>
                    <td data-colspan="1"> {!! $customers->appends(Request::except('page'))->render() !!}</td>
                    <td class="text-right text-nowrap">
                        <a href="{{route('cms.customers.create')}}" class="btn btn-outline-primary btn-sm">
                            <i class="fas fa-plus-circle"></i>
                            <span class="d-none d-md-inline">@lang('erp::erp.create_new_customer')</span>
                        </a>
                    </td>
                </tr>
                </tfoot>

            </table>
        </div>
    </div>
@endsection

