<?php

namespace TDevAgency\Erp\Commands;

use Illuminate\Console\Command;
use Illuminate\Contracts\Container\BindingResolutionException;
use Illuminate\Support\Facades\DB;
use Illuminate\Support\Facades\Schema;
use Throwable;

class ClearOrders extends Command
{
    /**
     * The name and signature of the console command.
     *
     * @var string
     */
    protected $signature = 'cms:erp:clear-orders';

    /**
     * The console command description.
     *
     * @var string
     */
    protected $description = 'Set symlink to assets';

    /**
     * Execute the console command.
     *
     * @return mixed
     * @throws BindingResolutionException
     */
    public function handle()
    {
        Schema::disableForeignKeyConstraints();
        try {
            DB::transaction(function () {
                DB::table('orders')->truncate();
                DB::table('order_payments')->truncate();
                DB::table('order_deliveries')->truncate();
                DB::table('order_items')->truncate();
                DB::table('order_customers')->truncate();
                DB::table('erp_reservations')->truncate();
            });
        } catch (Throwable $exception) {
            $this->error($exception->getMessage());
        }
        Schema::enableForeignKeyConstraints();

        return 0;
    }
}
