<?php

namespace TDevAgency\Erp\Interfaces;

interface ErpModel
{
    /**
     * Get item name
     *
     * @return mixed
     */
    public function getName(): string;

    /**
     * Get image name
     *
     * @return mixed
     */
    public function getImageName(): string;

    /**
     * Get image url
     *
     * @param null $size
     * @return mixed
     */
    public function getImage($size = null);

    /**
     * Get image sizes for generator
     *
     * @return mixed
     */
    public function getImageSizes(): array;

    /**
     * Get table id
     *
     * @return mixed
     */

    public function getId();

    /**
     * Get table name
     *
     * @return string
     */
    public function getTable();
}
