<?php

namespace TDevAgency\Erp\Observers;

use TDevAgency\Cms\Models\BaseModels\AdminUser;
use TDevAgency\Cms\Models\BaseModels\AdminUserRole;
use TDevAgency\Erp\Models\Container;

class AdminUserRoleObserver
{
    /**
     * @param AdminUser $user
     */
    public function saved(AdminUserRole $adminUserRole)
    {
        $this->container($adminUserRole);
    }

    private function container(AdminUserRole $adminUserRole)
    {
        if ($adminUserRole->admin_role !== 'owner') {
            return;
        }

        $container = Container::where('admin_user_id', $adminUserRole->admin_user_id)->first();

        if ($container === null && $adminUserRole->role_status === 1) {
            $adminUser = AdminUser::find($adminUserRole->admin_user_id);
            $container = new Container();
            $container->admin_user_id = $adminUser->id;
            $container->is_active = true;
            $container->container_name = $adminUser->name;
            $container->save();
        } elseif ($container !== null) {
            $container->is_active = $adminUserRole->role_status;
            $container->update();
        }
    }

    /**
     * @param AdminUser $user
     */
    public function created(AdminUserRole $adminUserRole)
    {
        $this->container($adminUserRole);
    }

    /**
     * @param AdminUser $user
     */
    public function updated(AdminUserRole $adminUserRole)
    {
        $this->container($adminUserRole);
    }
}
